Bug 509403 - gnome-appearance-properties crashes X using radeon driver with ATI FireGL 3400 (RV530GL chipset)
gnome-appearance-properties crashes X using radeon driver with ATI FireGL 340...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 11:58 EDT by Garrett Mitchener
Modified: 2009-12-10 09:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-10 09:43:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file from one instance of the crash (66.73 KB, text/plain)
2009-07-02 11:58 EDT, Garrett Mitchener
no flags Details
log file from another instance of the crash (67.42 KB, text/plain)
2009-07-02 11:59 EDT, Garrett Mitchener
no flags Details
my xorg.conf (1.54 KB, text/plain)
2009-07-02 12:00 EDT, Garrett Mitchener
no flags Details
dmesg from shortly after the crash (59.97 KB, text/plain)
2009-07-02 12:00 EDT, Garrett Mitchener
no flags Details
xsession-errors from shortly after the Xorg.1.log crash (1.44 KB, text/plain)
2009-07-02 12:02 EDT, Garrett Mitchener
no flags Details
This is the backtrace for your request (99.19 KB, text/plain)
2009-07-06 10:16 EDT, Garrett Mitchener
no flags Details

  None (edit)
Description Garrett Mitchener 2009-07-02 11:58:14 EDT
Created attachment 350301 [details]
log file from one instance of the crash

Description of problem:  The gnome appearance settings program crashes X when using the "radeon" driver.  The crash does not occur using the "radeonhd" driver which is why I assume that the problem is with the radeon driver and not something else.

The graphics card is a FireGL V3400, RV530GL chipset according to lspci

(by the way radeonhd doesn't enable 3D acceleration for my card)

This workstation is an up-to-date (as of July 2 2009) F11 system, upgraded from F10.

Version-Release number of selected component (if applicable):

[root@grograman]# rpm -qa | grep xorg-x11
xorg-x11-fonts-75dpi-7.2-8.fc11.noarch
xorg-x11-drv-synaptics-1.1.0-7.fc11.x86_64
xorg-x11-fonts-Type1-7.2-8.fc11.noarch
xorg-x11-drv-glint-1.2.2-2.fc11.x86_64
xorg-x11-server-utils-7.4-7.fc11.x86_64
xorg-x11-drv-sisusb-0.9.1-2.fc11.x86_64
xorg-x11-xinit-1.0.9-7.fc11.x86_64
xorg-x11-drv-i128-1.3.0-2.fc11.x86_64
xorg-x11-drv-radeonhd-1.2.5-2.8.20090411git.fc11.x86_64
xorg-x11-drv-sis-0.10.1-2.fc11.x86_64
xorg-x11-drv-ark-0.7.1-2.fc11.x86_64
xorg-x11-drv-evdev-2.2.1-3.fc11.x86_64
xorg-x11-drv-mach64-6.8.0-3.fc11.x86_64
xorg-x11-xfs-1.0.5-5.fc11.x86_64
xorg-x11-font-utils-7.2-7.fc11.x86_64
xorg-x11-drv-v4l-0.2.0-2.fc11.x86_64
xorg-x11-drv-rendition-4.2.1-2.fc11.x86_64
xorg-x11-drv-avivo-0.0.1-8.fc11.x86_64
xorg-x11-xauth-1.0.2-6.fc11.x86_64
xorg-x11-drv-elographics-1.2.3-2.fc11.x86_64
xorg-x11-drv-tdfx-1.4.1-2.fc11.x86_64
xorg-x11-fonts-100dpi-7.2-8.fc11.noarch
xorg-x11-xdm-1.1.6-9.fc11.x86_64
xorg-x11-fonts-ISO8859-1-100dpi-7.2-8.fc11.noarch
xorg-x11-fonts-ISO8859-1-75dpi-7.2-8.fc11.noarch
xorg-x11-drv-i740-1.2.0-3.fc11.x86_64
xorg-x11-drv-fbdev-0.4.0-4.fc11.x86_64
xorg-x11-drv-mga-1.4.10-1.fc11.x86_64
xorg-x11-filesystem-7.3-4.fc11.noarch
xorg-x11-drv-s3-0.6.1-2.fc11.x86_64
xorg-x11-drv-mutouch-1.2.1-2.fc11.x86_64
xorg-x11-drv-acecad-1.3.0-1.fc11.x86_64
xorg-x11-drv-vmware-10.16.0-3.fc11.x86_64
xorg-x11-drv-chips-1.2.1-2.fc11.x86_64
xorg-x11-utils-7.4-4.fc11.x86_64
xorg-x11-proto-devel-7.4-14.fc11.noarch
xorg-x11-drv-openchrome-0.2.903-10.fc11.x86_64
xorg-x11-drv-r128-6.8.0-3.fc11.x86_64
xorg-x11-drv-keyboard-1.3.2-3.fc11.x86_64
xorg-x11-fonts-misc-7.2-8.fc11.noarch
xorg-x11-drv-vmmouse-12.6.4-1.fc11.x86_64
xorg-x11-drv-mouse-1.4.0-2.fc11.x86_64
xorg-x11-resutils-7.1-7.fc11.x86_64
xorg-x11-drv-trident-1.3.1-2.fc11.x86_64
xorg-x11-drv-penmount-1.4.0-2.fc11.x86_64
xorg-x11-drv-void-1.2.0-1.fc11.x86_64
xorg-x11-drivers-7.3-11.fc11.x86_64
xorg-x11-drv-fpit-1.3.0-2.fc11.x86_64
xorg-x11-drv-hyperpen-1.3.0-1.fc11.x86_64
xorg-x11-drv-vesa-2.2.0-3.fc11.x86_64
xorg-x11-apps-7.3-8.fc11.x86_64
xorg-x11-drv-nv-2.1.13-1.fc11.x86_64
xorg-x11-drv-s3virge-1.10.2-2.fc11.x86_64
xorg-x11-drv-voodoo-1.2.1-2.fc11.x86_64
xorg-x11-util-macros-1.2.1-2.fc11.noarch
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64
xorg-x11-drv-dummy-0.3.1-2.fc11.x86_64
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64
xorg-x11-xkb-utils-7.2-8.fc11.x86_64
xorg-x11-server-common-1.6.1.901-1.fc11.x86_64
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.x86_64
xorg-x11-drv-apm-1.2.1-2.fc11.x86_64
xorg-x11-drv-tseng-1.2.1-2.fc11.x86_64
xorg-x11-drv-cirrus-1.2.0-6.fc11.x86_64
xorg-x11-drv-ast-0.87.0-2.fc11.x86_64
xorg-x11-docs-1.3-5.fc11.noarch
xorg-x11-drv-aiptek-1.2.0-1.fc11.x86_64
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64
xorg-x11-xtrans-devel-1.2.2-2.fc11.noarch
xorg-x11-drv-savage-2.2.1-1.fc11.x86_64
xorg-x11-twm-1.0.3-4.fc11.x86_64
xorg-x11-drv-siliconmotion-1.7.0-1.fc11.x86_64


[root@grograman]# rpm -qa | grep  '^mesa'
mesa-libGL-7.6-0.1.fc11.i586
mesa-libGLU-7.6-0.1.fc11.i586
mesa-libGLU-7.6-0.1.fc11.x86_64
mesa-dri-drivers-7.6-0.1.fc11.x86_64
mesa-libGL-7.6-0.1.fc11.x86_64
mesa-libOSMesa-7.6-0.1.fc11.x86_64
mesa-libGL-devel-7.6-0.1.fc11.i586
mesa-libGL-devel-7.6-0.1.fc11.x86_64
mesa-libGLU-devel-7.6-0.1.fc11.x86_64
mesa-dri-drivers-7.6-0.1.fc11.i586

[root@grograman]# rpm -qf `which gnome-appearance-properties`
control-center-2.26.0-6.fc11.x86_64

How reproducible:  Every time


Steps to Reproduce:
1. create a new account or use an existing one
2. log in via gdm
3. using the menu at the top of the screen: System, Preferences, Appearance
  
Actual results:

The appearance selector opens and is visible for a second or so, usually with a blue "mistake" or distortion around the previews of the various GTK themes.  Then X crashes and restarts.

Expected results:

It shouldn't crash

Additional info:

[root@grograman]# lspci
00:00.0 Host bridge: Intel Corporation 5000X Chipset Memory Controller Hub (rev 12)
00:02.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x4 Port 2 (rev 12)
00:03.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x4 Port 3 (rev 12)
00:04.0 PCI bridge: Intel Corporation 5000X Chipset PCI Express x16 Port 4-7 (rev 12)
00:05.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x4 Port 5 (rev 12)
00:06.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x4 Port 6 (rev 12)
00:07.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x4 Port 7 (rev 12)
00:10.0 Host bridge: Intel Corporation 5000 Series Chipset FSB Registers (rev 12)
00:10.1 Host bridge: Intel Corporation 5000 Series Chipset FSB Registers (rev 12)
00:10.2 Host bridge: Intel Corporation 5000 Series Chipset FSB Registers (rev 12)
00:11.0 Host bridge: Intel Corporation 5000 Series Chipset Reserved Registers (rev 12)
00:13.0 Host bridge: Intel Corporation 5000 Series Chipset Reserved Registers (rev 12)
00:15.0 Host bridge: Intel Corporation 5000 Series Chipset FBD Registers (rev 12)
00:16.0 Host bridge: Intel Corporation 5000 Series Chipset FBD Registers (rev 12)
00:1b.0 Audio device: Intel Corporation 631xESB/632xESB High Definition Audio Controller (rev 09)
00:1c.0 PCI bridge: Intel Corporation 631xESB/632xESB/3100 Chipset PCI Express Root Port 1 (rev 09)
00:1d.0 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #1 (rev 09)
00:1d.1 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #2 (rev 09)
00:1d.2 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #3 (rev 09)
00:1d.3 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #4 (rev 09)
00:1d.7 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset EHCI USB2 Controller (rev 09)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev d9)
00:1f.0 ISA bridge: Intel Corporation 631xESB/632xESB/3100 Chipset LPC Interface Controller (rev 09)
00:1f.1 IDE interface: Intel Corporation 631xESB/632xESB IDE Controller (rev 09)
00:1f.2 SATA controller: Intel Corporation 631xESB/632xESB SATA AHCI Controller (rev 09)
00:1f.3 SMBus: Intel Corporation 631xESB/632xESB/3100 Chipset SMBus Controller (rev 09)
01:00.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Upstream Port (rev 01)
01:00.3 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express to PCI-X Bridge (rev 01)
02:00.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E1 (rev 01)
02:01.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E2 (rev 01)
05:0b.0 SCSI storage controller: LSI Logic / Symbios Logic SAS1068 PCI-X Fusion-MPT SAS (rev 01)
07:00.0 VGA compatible controller: ATI Technologies Inc RV530GL [FireGL V3400]
07:00.1 Display controller: ATI Technologies Inc RV530GL [FireGL V3400 (Secondary)]
0b:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5752 Gigabit Ethernet PCI Express (rev 02)
0c:02.0 Multimedia audio controller: Creative Labs SB X-Fi
0c:0a.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link)
Comment 1 Garrett Mitchener 2009-07-02 11:59:33 EDT
Created attachment 350302 [details]
log file from another instance of the crash

For this one, I signed in as a fresh user to make it crash.
Comment 2 Garrett Mitchener 2009-07-02 12:00:13 EDT
Created attachment 350303 [details]
my xorg.conf

My config file
Comment 3 Garrett Mitchener 2009-07-02 12:00:54 EDT
Created attachment 350304 [details]
dmesg from shortly after the crash
Comment 4 Garrett Mitchener 2009-07-02 12:02:03 EDT
Created attachment 350305 [details]
xsession-errors from shortly after the Xorg.1.log crash
Comment 5 Matěj Cepl 2009-07-02 13:29:43 EDT
Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e89b6]
1: /usr/bin/Xorg(xf86SigHandler+0x6f) [0x47d63f]
2: /lib64/libc.so.6 [0x368de33370]
3: /usr/lib64/xorg/modules/drivers//radeon_drv.so [0x7fb8806a893d]
4: /usr/lib64/xorg/modules/drivers//radeon_drv.so [0x7fb88068515c]
5: /usr/lib64/xorg/modules//libexa.so [0x7fb87ffd09cc]
6: /usr/bin/Xorg [0x52e43c]
7: /usr/lib64/xorg/modules/extensions//libextmod.so [0x7fb88135aa2d]
8: /usr/bin/Xorg(FreeClientResources+0xd3) [0x42f3c3]
9: /usr/bin/Xorg(CloseDownClient+0x60) [0x441c40]
10: /usr/bin/Xorg(Dispatch+0x210) [0x446d70]
11: /usr/bin/Xorg(main+0x3b5) [0x42d0d5]
12: /lib64/libc.so.6(__libc_start_main+0xfd) [0x368de1ea2d]
13: /usr/bin/Xorg [0x42c559]
Comment 6 Matěj Cepl 2009-07-02 16:45:22 EDT
Hi, we have a hard time to understand what does the backtrace in comment 5 actually signifies. Could you please try to reproduce it and collect debugging information following the steps on 
http://wiki.x.org/wiki/Development/Documentation/ServerDebugging

Please, attach (don't paste) the backtrace from gdb, to this bug.

Thank you very much.
Comment 7 Garrett Mitchener 2009-07-06 10:16:07 EDT
Created attachment 350616 [details]
This is the backtrace for your request

I logged in.  I got 2 broken pipe errors and had to tell gdb to cont after each before the desktop appeared.  I don't know whether those are relevant.

Then I opened the gnome appearance window and it crashed.
Comment 8 Jérôme Glisse 2009-10-15 11:02:11 EDT
Do you still have this issue with fedora 12 (you can test livecd from http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/) ?
Comment 9 Matěj Cepl 2009-11-05 13:33:45 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 10 Garrett Mitchener 2009-12-10 09:43:37 EST
I don't see this crash in fedora 12, so I'm going to assume it's fixed.  I'm going to mark it as Close / Current release (I hope that's the right code?)

Note You need to log in before you can comment on or make changes to this bug.